
package com.thinkunion.smart.park.core.gateway.provider;

import org.nest.springwrap.core.launch.constant.TokenConstant;

import java.util.ArrayList;
import java.util.List;


public class AuthProvider {

    public static final String AUTH_KEY = TokenConstant.HEADER;
    private static final List<String> DEFAULT_SKIP_URL = new ArrayList<>();

    static {
        DEFAULT_SKIP_URL.add("/pms-program/**");//公众号接口不走token校验
        DEFAULT_SKIP_URL.add("/mini-program/**");//小程序接口不走token校验
        DEFAULT_SKIP_URL.add("/isc/event/**");//isc事件不走检验
        DEFAULT_SKIP_URL.add("/example");
        DEFAULT_SKIP_URL.add("/oauth/token/**");
        DEFAULT_SKIP_URL.add("/oauth/captcha/**");
        DEFAULT_SKIP_URL.add("/oauth/clear-cache/**");
        DEFAULT_SKIP_URL.add("/oauth/user-info");
        DEFAULT_SKIP_URL.add("/oauth/render");
        DEFAULT_SKIP_URL.add("/oauth/callback");
        DEFAULT_SKIP_URL.add("/oauth/revoke");
        DEFAULT_SKIP_URL.add("/oauth/refresh");
        DEFAULT_SKIP_URL.add("/token/**");
        DEFAULT_SKIP_URL.add("/actuator/**");
        DEFAULT_SKIP_URL.add("/v2/api-docs/**");
        DEFAULT_SKIP_URL.add("/auth/**");
        DEFAULT_SKIP_URL.add("/log/**");
        DEFAULT_SKIP_URL.add("/menu/routes");
        DEFAULT_SKIP_URL.add("/menu/auth-routes");
        DEFAULT_SKIP_URL.add("/menu/top-menu");
        DEFAULT_SKIP_URL.add("/tenant/info");
        DEFAULT_SKIP_URL.add("/process/resource-view");
        DEFAULT_SKIP_URL.add("/process/diagram-view");
        DEFAULT_SKIP_URL.add("/manager/check-upload");
        DEFAULT_SKIP_URL.add("/error/**");
        DEFAULT_SKIP_URL.add("/assets/**");
        DEFAULT_SKIP_URL.add("/charge/order/record"); // 云快充导入充电账单接口
        DEFAULT_SKIP_URL.add("/sms/send/code");//登录使用的发送验证码接口
        DEFAULT_SKIP_URL.add("/userInfo/platform/list");//登录使用的平台列表接口
        DEFAULT_SKIP_URL.add("/dept/list");//登录使用的平台列表接口
        DEFAULT_SKIP_URL.add("/rebuild/dept/list");//登录使用的平台列表接口
        DEFAULT_SKIP_URL.add("/sms/verify/code");//登录使用的平台列表接口
        DEFAULT_SKIP_URL.add("/ue4/**");//ue4相关不走校验
        DEFAULT_SKIP_URL.add("/sms/verify/code");//登录使用的平台列表接口
        DEFAULT_SKIP_URL.add("/ue4/**");//ue4相关不走校验
        DEFAULT_SKIP_URL.add("/parking/infoQuery/getAppearCarListJt");//开放明源接口
        DEFAULT_SKIP_URL.add("/parkInfo/getJtlist");//开放明源接口
        DEFAULT_SKIP_URL.add("/mingYuan/getTemporaryPayment");//开放明源接口
        DEFAULT_SKIP_URL.add("/mingYuan/getTemporaryRefund");//开放明源接口
        DEFAULT_SKIP_URL.add("/parking/vehicle/monthly/card/getCardListJt");//开放明源接口
        DEFAULT_SKIP_URL.add("/parking/vehicle/monthly/card/getCardBillListJt");//开放明源接口
        DEFAULT_SKIP_URL.add("/tenant/getDetail");//获取租户明细接口
        DEFAULT_SKIP_URL.add("/parkInfo/getAllVisitor");//获取所有园区接口
        DEFAULT_SKIP_URL.add("/station/app/list");//获取小程序电站列表接口
        DEFAULT_SKIP_URL.add("/userOauth/captcha");//获取图形验证码
        DEFAULT_SKIP_URL.add("/userCheck/login");//一次校验登录
        DEFAULT_SKIP_URL.add("/getUserByPhoneOrEmail");
        DEFAULT_SKIP_URL.add("/send/code");
        DEFAULT_SKIP_URL.add("/send/emailCode");
        DEFAULT_SKIP_URL.add("/verify/code");
        DEFAULT_SKIP_URL.add("/updatePassword");
        DEFAULT_SKIP_URL.add("/parkInfo/listAll");//获取不分租户的所有园区接口(小程序用)
        //优惠券白名单
        DEFAULT_SKIP_URL.add("/coupon/record/scan/**");
        DEFAULT_SKIP_URL.add("/coupon/record/receive");
        //二维码扫码
        DEFAULT_SKIP_URL.add("/parkNotice/list");
        DEFAULT_SKIP_URL.add("/parkNotice/getDetail");
        DEFAULT_SKIP_URL.add("/parkNotice/addViewCount");
    }

    public static List<String> getDefaultSkipUrl() {
        return DEFAULT_SKIP_URL;
    }
}
